## GstPtpClock GstPtpClock |

## Functions

gboolean | gst_ptp_init ()
void | gst_ptp_deinit ()
gboolean | gst_ptp_is_initialized ()
gboolean | gst_ptp_is_supported ()
GstClock * | gst_ptp_clock_new ()
gboolean | (*GstPtpStatisticsCallback) ()
gulong | gst_ptp_statistics_callback_add ()
void | gst_ptp_statistics_callback_remove ()

## Properties

guint | domain | Read / Write / Construct Only
guint64 | grandmaster-clock-id | Read
GstClock * | internal-clock | Read
guint64 | master-clock-id | Read

## Types and Values

#define | GST_PTP_CLOCK_ID_NONE
struct | GstPtpClock
#define | GST_PTP_STATISTICS_BEST_MASTER_CLOCK_SELECTED
#define | GST_PTP_STATISTICS_NEW_DOMAIN_FOUND
#define | GST_PTP_STATISTICS_PATH_DELAY_MEASURED
#define | GST_PTP_STATISTICS_TIME_UPDATED

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstClock
                    ╰── GstSystemClock
                        ╰── GstPtpClock

## Includes

    #include <gst/net/net.h>

## Description

## Functions

### gst_ptp_init ()

    gboolean
    gst_ptp_init (guint64 clock_id,
                  gchar **interfaces);

### gst_ptp_deinit ()

    void
    gst_ptp_deinit (void);

### gst_ptp_is_initialized ()

    gboolean
    gst_ptp_is_initialized (void);

### gst_ptp_is_supported ()

    gboolean
    gst_ptp_is_supported (void);

### gst_ptp_clock_new ()

    GstClock *
    gst_ptp_clock_new (const gchar *name,
                       guint domain);

### GstPtpStatisticsCallback ()

    gboolean
    (*GstPtpStatisticsCallback) (guint8 domain,
                                 const GstStructure *stats,
                                 gpointer user_data);

### gst_ptp_statistics_callback_add ()

    gulong
    gst_ptp_statistics_callback_add (GstPtpStatisticsCallback callback,
                                     gpointer user_data,
                                     GDestroyNotify destroy_data);

### gst_ptp_statistics_callback_remove ()

    void
    gst_ptp_statistics_callback_remove (gulong id);

## Types and Values

### GST_PTP_CLOCK_ID_NONE

    #define GST_PTP_CLOCK_ID_NONE ((guint64) -1)

### struct GstPtpClock

    struct GstPtpClock;

### GST_PTP_STATISTICS_BEST_MASTER_CLOCK_SELECTED

    #define GST_PTP_STATISTICS_BEST_MASTER_CLOCK_SELECTED "GstPtpStatisticsBestMasterClockSelected"

### GST_PTP_STATISTICS_NEW_DOMAIN_FOUND

    #define GST_PTP_STATISTICS_NEW_DOMAIN_FOUND           "GstPtpStatisticsNewDomainFound"

### GST_PTP_STATISTICS_PATH_DELAY_MEASURED

    #define GST_PTP_STATISTICS_PATH_DELAY_MEASURED        "GstPtpStatisticsPathDelayMeasured"

### GST_PTP_STATISTICS_TIME_UPDATED

    #define GST_PTP_STATISTICS_TIME_UPDATED               "GstPtpStatisticsTimeUpdated"

## Property Details

### The `“domain”` property

      “domain”                   guint

The PTP domain.

Flags: Read / Write / Construct Only

Allowed values: <= 255

Default value: 0

### The `“grandmaster-clock-id”` property

      “grandmaster-clock-id”     guint64

Grand Master Clock ID.

Flags: Read

Default value: 0

### The `“internal-clock”` property

      “internal-clock”           GstClock *

Internal clock.

Flags: Read

### The `“master-clock-id”` property

      “master-clock-id”          guint64

Master Clock ID.

Flags: Read

Default value: 0